Bug 887203 - aiccu service doesn’t start during the boot process
Summary: aiccu service doesn’t start during the boot process
Keywords:
Status: CLOSED DUPLICATE of bug 844607
Alias: None
Product: Fedora
Classification: Fedora
Component: aiccu
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Conrad Meyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-14 10:14 UTC by Matěj Cepl
Modified: 2018-04-11 19:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-14 17:54:04 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2012-12-14 10:14:14 UTC
Description of problem:
When starting the system I get error message on startup of aiccu and this is what systemctl status has to say:

matej@wycliff: ~$ sudo systemctl status aiccu.service 
aiccu.service - AICCU (AAutomatic IPv6 Connectivity Configuration Utility)
	  Loaded: loaded (/usr/lib/systemd/system/aiccu.service; enabled)
	  Active: failed (Result: exit-code) since Fri, 2012-12-14 06:14:59 CET; 1min 40s ago
	 Process: 885 ExecStart=/usr/sbin/aiccu start $OPTIONS (code=exited, status=255)
	  CGroup: name=systemd:/system/aiccu.service

Dec 14 06:14:58 wycliff.ceplovi.cz aiccu[885]: p11-kit: couldn't open config file: /root/.pkcs11/pkcs11.conf: Permission denied
Dec 14 06:14:59 wycliff.ceplovi.cz systemd[1]: Failed to start AICCU (AAutomatic IPv6 Connectivity Configuration Utility).
Dec 14 06:14:59 wycliff.ceplovi.cz systemd[1]: Unit aiccu.service entered failed state

When I then start aiccu manually, everything works correctly:

matej@wycliff: ~$ sudo systemctl restart aiccu.service 
matej@wycliff: ~$ sudo systemctl status aiccu.service 
aiccu.service - AICCU (AAutomatic IPv6 Connectivity Configuration Utility)
	  Loaded: loaded (/usr/lib/systemd/system/aiccu.service; enabled)
	  Active: active (running) since Fri, 2012-12-14 06:16:50 CET; 1s ago
	 Process: 1828 ExecStart=/usr/sbin/aiccu start $OPTIONS (code=exited, status=0/SUCCESS)
	Main PID: 1833 (aiccu)
	  CGroup: name=systemd:/system/aiccu.service
		  └ 1833 /usr/sbin/aiccu start

Dec 14 06:16:49 wycliff.ceplovi.cz aiccu[1828]: p11-kit: couldn't open config file: /root/.pkcs11/pkcs11.conf: Permission denied
Dec 14 06:16:50 wycliff.ceplovi.cz aiccu[1833]: AICCU running as PID 1833
Dec 14 06:16:50 wycliff.ceplovi.cz systemd[1]: Started AICCU (AAutomatic IPv6 Connectivity Configuration Utility).
Dec 14 06:16:50 wycliff.ceplovi.cz aiccu[1833]: [AYIYA-start] : Anything in Anything (draft-02)
Dec 14 06:16:50 wycliff.ceplovi.cz aiccu[1833]: [AYIYA-tun->tundev] : (Socket to TUN) started
matej@wycliff: ~$ 

Version-Release number of selected component (if applicable):
aiccu-2007.01.15-15.el7.x86_64

How reproducible:
100% (happened couple of times on every start of the system)

Comment 1 Conrad Meyer 2012-12-14 17:54:04 UTC
Dupe, see comments in the original bug.

*** This bug has been marked as a duplicate of bug 844607 ***


Note You need to log in before you can comment on or make changes to this bug.